/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#pragma once

#include "BaseFileSource.h"

namespace mirai
{

class StdFileSource : public BaseFileSource
{
  public:
	StdFileSource(BaseFileSourceConstructor data) : BaseFileSource(data) {};
	StdFileSource(StdFileSource &) = delete;
	StdFileSource(StdFileSource &&) = delete;
	StdFileSource operator=(StdFileSource &) = delete;
	StdFileSource operator=(StdFileSource &&) = delete;

	~StdFileSource() override = default;

	void save() override;
	void load() override;
	;
};
} // namespace mirai
